| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Variables
treectrl.h File Reference

## Classes

class | wxTreeCtrl
| A tree control presents information as a hierarchy, with items that may be expanded to show further items. More...
class | wxTreeEvent
| A tree event holds information about events associated with wxTreeCtrl objects. More...

## Variables

wxEventType | wxEVT_TREE_BEGIN_DRAG
wxEventType | wxEVT_TREE_BEGIN_RDRAG
wxEventType | wxEVT_TREE_BEGIN_LABEL_EDIT
wxEventType | wxEVT_TREE_END_LABEL_EDIT
wxEventType | wxEVT_TREE_DELETE_ITEM
wxEventType | wxEVT_TREE_GET_INFO
wxEventType | wxEVT_TREE_SET_INFO
wxEventType | wxEVT_TREE_ITEM_EXPANDED
wxEventType | wxEVT_TREE_ITEM_EXPANDING
wxEventType | wxEVT_TREE_ITEM_COLLAPSED
wxEventType | wxEVT_TREE_ITEM_COLLAPSING
wxEventType | wxEVT_TREE_SEL_CHANGED
wxEventType | wxEVT_TREE_SEL_CHANGING
wxEventType | wxEVT_TREE_KEY_DOWN
wxEventType | wxEVT_TREE_ITEM_ACTIVATED
wxEventType | wxEVT_TREE_ITEM_RIGHT_CLICK
wxEventType | wxEVT_TREE_ITEM_MIDDLE_CLICK
wxEventType | wxEVT_TREE_END_DRAG
wxEventType | wxEVT_TREE_STATE_IMAGE_CLICK
wxEventType | wxEVT_TREE_ITEM_GETTOOLTIP
wxEventType | wxEVT_TREE_ITEM_MENU

## Variable Documentation

wxEventType wxEVT_TREE_BEGIN_DRAG

wxEventType wxEVT_TREE_BEGIN_LABEL_EDIT

wxEventType wxEVT_TREE_BEGIN_RDRAG

wxEventType wxEVT_TREE_DELETE_ITEM

wxEventType wxEVT_TREE_END_DRAG

wxEventType wxEVT_TREE_END_LABEL_EDIT

wxEventType wxEVT_TREE_GET_INFO

wxEventType wxEVT_TREE_ITEM_ACTIVATED

wxEventType wxEVT_TREE_ITEM_COLLAPSED

wxEventType wxEVT_TREE_ITEM_COLLAPSING

wxEventType wxEVT_TREE_ITEM_EXPANDED

wxEventType wxEVT_TREE_ITEM_EXPANDING

wxEventType wxEVT_TREE_ITEM_GETTOOLTIP

wxEventType wxEVT_TREE_ITEM_MENU

wxEventType wxEVT_TREE_ITEM_MIDDLE_CLICK

wxEventType wxEVT_TREE_ITEM_RIGHT_CLICK

wxEventType wxEVT_TREE_KEY_DOWN

wxEventType wxEVT_TREE_SEL_CHANGED

wxEventType wxEVT_TREE_SEL_CHANGING

wxEventType wxEVT_TREE_SET_INFO

wxEventType wxEVT_TREE_STATE_IMAGE_CLICK